digiKam Developer Documentation: Digikam::HoverButtonDelegateOverlay Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::HoverButtonDelegateOverlay Class Referenceabstract
Inheritance diagram for Digikam::HoverButtonDelegateOverlay:

## Public Member Functions
| HoverButtonDelegateOverlay (QObject *const parent)
ItemViewHoverButton * | button () const
void | setActive (bool active) override
| Will call createButton().
Public Member Functions inherited from Digikam::AbstractWidgetDelegateOverlay
| AbstractWidgetDelegateOverlay (QObject *const parent)
| This class provides functionality for using a widget in an overlay.
Public Member Functions inherited from Digikam::ItemDelegateOverlay
| ItemDelegateOverlay (QObject *const parent=nullptr)
virtual bool | acceptsDelegate (QAbstractItemDelegate *) const
QAbstractItemDelegate * | delegate () const
virtual void | mouseMoved (QMouseEvent *e, const QRect &visualRect, const QModelIndex &index)
| Only these two methods are implemented as virtual methods.
virtual void | paint (QPainter *p, const QStyleOptionViewItem &option, const QModelIndex &index)
void | setDelegate (QAbstractItemDelegate *delegate)
void | setView (QAbstractItemView *view)
QAbstractItemView * | view () const

## Protected Slots
void | slotEntered (const QModelIndex &index) override
void | slotReset () override
Protected Slots inherited from Digikam::AbstractWidgetDelegateOverlay
virtual void | slotEntered (const QModelIndex &index)
| Default implementation shows the widget iff the index is valid and checkIndex returns true.
virtual void | slotLayoutChanged ()
virtual void | slotReset ()
| Default implementations of these three slots call hide()
virtual void | slotRowsRemoved (const QModelIndex &parent, int start, int end)
virtual void | slotViewportEntered ()
Protected Slots inherited from Digikam::ItemDelegateOverlay

## Protected Member Functions
virtual ItemViewHoverButton * | createButton ()=0
| Create your widget here.
QWidget * | createWidget () override
| Create your widget here.
virtual void | updateButton (const QModelIndex &index)=0
| Called when a new index is entered.
void | visualChange () override
| Called when any change from the delegate occurs - when the overlay is installed, when size hints, styles or fonts change.
Protected Member Functions inherited from Digikam::AbstractWidgetDelegateOverlay
virtual bool | checkIndex (const QModelIndex &index) const
bool | checkIndexOnEnter (const QModelIndex &index) const
| Utility method called from slotEntered.
bool | eventFilter (QObject *obj, QEvent *event) override
virtual void | hide ()
| Called when the widget shall be hidden (mouse cursor left index, viewport, uninstalled etc.).
virtual QString | notifyMultipleMessage (const QModelIndex &, int number)
QWidget * | parentWidget () const
virtual void | viewportLeaveEvent (QObject *obj, QEvent *event)
| Called when a QEvent::Leave of the viewport is received.
virtual void | widgetEnterEvent ()
| Called when a QEvent::Enter resp.
void | widgetEnterNotifyMultiple (const QModelIndex &index)
| A sample implementation for above methods.
virtual void | widgetLeaveEvent ()
void | widgetLeaveNotifyMultiple ()
Protected Member Functions inherited from Digikam::ItemDelegateOverlay
QList< QModelIndex > | affectedIndexes (const QModelIndex &index) const
bool | affectsMultiple (const QModelIndex &index) const
| For the context that an overlay can affect multiple items: Assuming the currently overlaid index is given.
int | numberOfAffectedIndexes (const QModelIndex &index) const
bool | viewHasMultiSelection () const
| Utility method.

## Additional Inherited Members
Signals inherited from Digikam::ItemDelegateOverlay
void | hideNotification ()
void | requestNotification (const QModelIndex &index, const QString &message)
void | update (const QModelIndex &index)
Protected Attributes inherited from Digikam::AbstractWidgetDelegateOverlay
bool | m_mouseButtonPressedOnWidget = false
QWidget * | m_widget = nullptr
Protected Attributes inherited from Digikam::ItemDelegateOverlay
QAbstractItemDelegate * | m_delegate = nullptr
QAbstractItemView * | m_view = nullptr

## Member Function Documentation

## ◆ createButton()

virtual ItemViewHoverButton * Digikam::HoverButtonDelegateOverlay::createButton | ( |  | ) |
| protectedpure virtual

Pass view() as parent.

Implemented in Digikam::FaceRejectionOverlay, Digikam::ItemFullScreenOverlay, Digikam::ItemRotateOverlay, Digikam::ItemSelectionOverlay, Digikam::ShowHideVersionsOverlay, Digikam::ActionVersionsOverlay, and Digikam::ImportRotateOverlay.

## ◆ createWidget()

QWidget * Digikam::HoverButtonDelegateOverlay::createWidget | ( |  | ) |
| overrideprotectedvirtual

When creating the object, pass parentWidget() as parent widget. Ownership of the object is passed. It will be deleted in setActive(false).

Implements Digikam::AbstractWidgetDelegateOverlay.

## ◆ setActive()

void Digikam::HoverButtonDelegateOverlay::setActive | ( | bool | active | ) |
| overridevirtual

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

Reimplemented in Digikam::ItemFullScreenOverlay, Digikam::ItemRotateOverlay, Digikam::ItemSelectionOverlay, Digikam::ShowHideVersionsOverlay, and Digikam::ImportRotateOverlay.

## ◆ updateButton()

virtual void Digikam::HoverButtonDelegateOverlay::updateButton | ( | const QModelIndex & | index | ) |
| protectedpure virtual

Reposition your button here, adjust and store state.

Implemented in Digikam::FaceRejectionOverlay, Digikam::ItemFullScreenOverlay, Digikam::ItemRotateOverlay, Digikam::ItemSelectionOverlay, Digikam::ShowHideVersionsOverlay, Digikam::ActionVersionsOverlay, and Digikam::ImportRotateOverlay.

## ◆ visualChange()

void Digikam::HoverButtonDelegateOverlay::visualChange | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from Digikam::ItemDelegateOverlay.